Description

Attempting to launch a project packaged for HTML5 on Google Chrome 32/64-bit or Firefox 32-bit results in an error. According to Nick Shin, this is due to asm.js and does not include in newer versions as it does not occur in newer versions due to this being replaced by wasm.

Regression?: Yes
This did not occur in 4.16.3

Note: This does not occur in the 4.18 Preview or in Main. It only occurs in 4.17.

Steps to Reproduce
  1. Create a new project
  2. Package for HTML5
  3. Launch the package in Google Chrome or 32 bit Mozilla
    Result: The package fails to load, giving an "Aw, snap" error on Chrome and a OOM error on Mozilla 32 bit
    Expected: The package loads successfully.

Have Comments or More Details?

Head over to the existingAnswerHub thread and let us know what's up.

1
Login to Vote

Cannot Reproduce
ComponentPlatform - Mobile
Affects Versions4.174.17.14.17.2
Target Fix4.19
CreatedSep 27, 2017
ResolvedDec 7, 2017
UpdatedJun 23, 2018